Bug 231084 - My mouse is haunted
My mouse is haunted
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mouse (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-05 19:37 EST by Ramsey Haddad
Modified: 2008-01-15 09:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:38:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (588 bytes, application/octet-stream)
2007-03-18 20:29 EDT, Ramsey Haddad
no flags Details
Xorg.0.log (60.88 KB, text/plain)
2007-03-18 20:31 EDT, Ramsey Haddad
no flags Details
Xorg.1.log (58.90 KB, text/plain)
2007-03-18 20:32 EDT, Ramsey Haddad
no flags Details
Xorg.2.log (63.46 KB, text/plain)
2007-03-18 20:33 EDT, Ramsey Haddad
no flags Details
Xorg.0.log after renaming the xorg.conf file (64.73 KB, text/plain)
2007-03-18 20:38 EDT, Ramsey Haddad
no flags Details
dmesg > dmesg.log (17.50 KB, text/plain)
2007-07-27 08:17 EDT, Ramsey Haddad
no flags Details
/sbin/lspci -vvnn > lspci-vvnn.log (5.72 KB, text/plain)
2007-07-27 08:18 EDT, Ramsey Haddad
no flags Details

  None (edit)
Description Ramsey Haddad 2007-03-05 19:37:30 EST
Hello all,
 This problem occurs often but at random. When I'm browsing the Internet (just
moving the mouse around) the mouse becomes locked on an axis, usually the
vertical axis, and frantically snaps to the left and right side of the screen
when I move the mouse slightly. I have the system monitor applet in the corner
and I could see the cpu load jumping up to the roof.

Also when the mouse snaps to the right and left, it seems to click multiple
times on everything that is under it's path, i.e. If the icon for application
foo is in it's path, then multiple instances of foo would start to run. Web
links are also clicked and sometimes multiples tabs in Firefox are opened when I
have Firefox in focus.

I always regain control after hitting the ESC key numerous times, usually 4
times suffice.

I've had this problem with 2 different computers and on 2 different continents.
One hot and the other cold.
I don't remember if it used to happen when I used to use FC1 or FC2, but I did
stick to FC3 for a long time and, if my memory serves me right, it happened a
lot. I skipped FC4 and went to FC5 a month before FC6 was released, so again I
don't remember if it happened with FC5. Now on a different computer with FC6,
it's happening all over again.

I don't use KDE, so I don't know if it's specific to GNOME or not. I don't know
what's triggering it, as I said it happens unexpectedly sometimes it happens
after 5 minutes, other times it happens after 5+ hours with no provocation.

Thank you
Comment 1 Ramsey Haddad 2007-03-05 19:41:01 EST
Sorry, I meant the horizontal axis but sometimes it does get locked on the
vertical axis.
Comment 2 Matěj Cepl 2007-03-09 08:49:58 EST
Aside from asking your local priest for providing exorcism (sorry, cannot
resist), if you would like us to do something about it, it would be helpful to
have some more information about your computer and configuration. 

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Ramsey Haddad 2007-03-18 20:29:57 EDT
Created attachment 150344 [details]
xorg.conf

this is the xorg.conf file as is. I later renamed this file to
xorg.conf.bugzilla and restarted my machine. The system detected the old
settings but didn't recreate a xorg.conf file.
Comment 4 Ramsey Haddad 2007-03-18 20:31:39 EDT
Created attachment 150345 [details]
Xorg.0.log

The Xorg.0.log file before renaming the xorg.conf file and restarting
Comment 5 Ramsey Haddad 2007-03-18 20:32:34 EDT
Created attachment 150346 [details]
Xorg.1.log
Comment 6 Ramsey Haddad 2007-03-18 20:33:43 EDT
Created attachment 150347 [details]
Xorg.2.log
Comment 7 Ramsey Haddad 2007-03-18 20:38:39 EDT
Created attachment 150348 [details]
Xorg.0.log after renaming the xorg.conf file

This is the Xorg.0.log file after I renamed the xorg.conf file to
xorg.conf.bugzilla and restarted my computer. Again a new xorg.conf file was
not created.

My computer is Celeron (I think) with 256 memory :(
Comment 8 Matěj Cepl 2007-03-20 14:35:44 EDT
Yes, sorry, xorg.conf is not created unless it is needed.
Comment 9 Ramsey Haddad 2007-06-03 14:18:46 EDT
update:
I've tried Xfce and Kde, it's happening there too.
Comment 10 Matěj Cepl 2007-06-04 09:31:52 EDT
Sorry, assigned to wrong person.
Comment 11 Ramsey Haddad 2007-07-27 08:03:30 EDT
Hello,
This might be helpful.
It's the output from /var/log/messages when the mouse goes wild
the middle line, the one about timeout isn't always there. messages* usually
have the first and last lines only.
As for the last line, it sometimes says throwing 3 bytes away.

Jul 18 08:35:41 root kernel: psmouse.c: bad data from KBC - bad parity
Jul 18 08:35:41 root kernel: psmouse.c: bad data from KBC - timeout
Jul 18 08:35:43 root kernel: psmouse.c: Mouse at isa0060/serio1/input0 lost
synchronization, throwing 2 bytes away.

Thank you!
Comment 12 Ramsey Haddad 2007-07-27 08:17:24 EDT
Created attachment 160110 [details]
dmesg > dmesg.log
Comment 13 Ramsey Haddad 2007-07-27 08:18:16 EDT
Created attachment 160111 [details]
 /sbin/lspci -vvnn > lspci-vvnn.log
Comment 14 Ramsey Haddad 2007-07-27 08:19:21 EDT
uname -a
Linux root.lan 2.6.20-1.2962.fc6 #1 SMP Tue Jun 19 18:24:12 EDT 2007 i686 i686
i386 GNU/Linux
Comment 15 Ramsey Haddad 2007-09-01 18:49:53 EDT
Hello again,
This problem seems to only affect PS/2 mouse(s)
I bought a USB mouse and I haven't had this problem since.

Thank you!
Comment 16 Matěj Cepl 2007-12-10 04:23:45 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 17 Matěj Cepl 2008-01-15 09:38:53 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.